EDIT - bug #8164

ClassNotFoundException during deserialization for Reference
03/06/2019 08:51 AM - Patrick Plitzner

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

Andreas K.: "Ich habe in dem Produktions-Server-Log seit Oktober 10x

org.springframework.web.util. NestedServletException: Class not found during deserialization; nested exception is
java.lang.ClassNotFoundException: eu.etaxonomy.cdm.model.reference.Reference_$$_jvste2b 2

gefunden.”

[phycobank] 2019-03-05 09:45:38,036 DEBUG [qgtpl207140081-35] [org.springframework.remoting.support
.RemoteInvocationTraceInterceptor] - Incoming HttpInvokerServiceExporter remote call: eu.etaxonomy
.cdm.api.service.IReferenceService.getUuidAndAbbrevTitleCacheForAuthor
[phycobank] 2019-03-05 09:45:38,049 DEBUG [gtpl207140081-35] [org.springframework.remoting.support
.RemoteInvocationTraceInterceptor] - Finished processing of HttpInvokerServiceExporter remote call
eu.etaxonomy.cdm.api.service.IReferenceService.getUuidAndAbbrevTitleCacheForAuthor

2019-03-05 09:45:38,104 WARN [gtpl207140081-33] [org.eclipse.jetty.servlet.ServletHandler] -
org.springframework.web.util.NestedServletException: Class not found during deserialization; neste
d exception is java.lang.ClassNotFoundException: eu.etaxonomy.cdm.model.reference.Reference_$$_Jvs
t769_3

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpIn
vokerServiceExporter.java:78)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerA
dapter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet. java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:96

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChai
nProxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (Filte
rSecurityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Fil
terSecurityInterceptor.java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChai
nProxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTra
nslationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChai
nProxy.java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagem
entFilter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChai
nProxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFi
lter (SecurityContextHolderAwareRequestFilter.java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChai
nProxy.java:330)
at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCa
cheAwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChai
nProxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterIn
ternal (BasicAuthenticationFilter.java:213)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:l
07)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChai
nProxy.java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilte
r.java:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChai
nProxy.java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriter
Filter.java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:l
07)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChai
nProxy.java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Secur
ityContextPersistenceFilter. java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChai
nProxy.Jjava:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.
doFilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:l
07)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChai
nProxy.java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java
:213)

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProx
y.Jjava:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java
:262)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodin
gFilter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:l
07)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler.java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:223)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1127)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:185)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler. java:1061)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler.java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollectio
n.java:215)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:97)

at org.eclipse.jetty.server.Server.handle (Server.java:497)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)

at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

at java.lang.Thread.run (Thread. java:748)
Caused by: java.lang.ClassNotFoundException: eu.etaxonomy.cdm.model.reference.Reference_$S$_Jjvst769

at java.net.URLClassLoader.findClass (URLClassLoader. java:382)

at java.lang.ClassLoader.loadClass (ClassLoader. java:424)
at sun.misc.Launcher$AppClassLoader.loadClass (Launcher. java:349)
.eclipse.jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:450)

eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:403)
springframework.util.ClassUtils.forName (ClassUtils.java:250)

75)

io

io

io

io.
io.

io.
io.

io.
io.
io.
io.

ObjectInputStream.
ObjectInputStream.

.ObjectInputStreamn.

ObjectInputStream.
ObjectInputStream.

.ObjectInputStream.

ObjectInputStream.
ObjectInputStream.
ObjectInputStream.
ObjectInputStream.
.springframework.core.ConfigurableObjectInputStream.resolveClass (ConfigurableObjectIn

readNonProxyDesc (ObjectInputStream. java:1868)
readClassDesc (ObjectInputStream. java:1751)
readClass (ObjectInputStream. java:1716)
readObject0 (ObjectInputStream. java:1556)
readArray (ObjectInputStream. java:1975)
readObject0 (ObjectInputStream. java:1567)
defaultReadFields (ObjectInputStream. java:2287)
readSerialData (ObjectInputStream. java:2211)
readOrdinaryObject (ObjectInputStream. java:2069)
readObject0 (ObjectInputStream. java:1573)
readObject (ObjectInputStream. java:431)

org.springframework.remoting.rmi.RemoteInvocationSerializingExporter.doReadRemoteInvocat
ion (RemoteInvocationSerializingExporter.java:142)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.readRemotelInvocation
(HttpInvokerServiceExporter. java:117)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.readRemotelInvocation
(HttpInvokerServiceExporter. java:96)
at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpIn
vokerServiceExporter. java:73)

61 more

History

#1 - 03/06/2019 08:56 AM - Andreas Mdiller

- Category changed from cdmlib to taxeditor
